Bug 239154 - Review Request: referencer - A document organiser and bibliography manager for Gnome
Summary: Review Request: referencer - A document organiser and bibliography manager fo...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-05 12:51 UTC by Deji Akingunola
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-17 04:10:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)
mock-referencer-build.log (58.76 KB, text/plain)
2007-05-09 09:10 UTC, Kiyoshi Matsui
no flags Details

Description Deji Akingunola 2007-05-05 12:51:00 UTC
Spec URL: ftp://czar.eas.yorku.ca/pub/referencer/referencer.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/referencer/
Description: Referencer is a Gnome application to organise documents or references, and ultimately generate a BibTeX bibliography file.
Its features include automatic metadata retrieval, smart web links, ability to
import from BibTeX, Reference Manager and EndNote, and tagging.

Comment 1 Kiyoshi Matsui 2007-05-09 09:10:21 UTC
Created attachment 154382 [details]
mock-referencer-build.log

I am not yet a package-maintainer.
This is my "pre-review" to exercise reviewing.
I checked this package as follows.

rpmlint is silent on both of this SRPM and the generated binary package.

package name:	reference:		OK.
spec file name: reference.spec: 	OK.
license:	GPL:
	%license field matches the actual license,
	COPYING is listed in %doc,	OK.
spec file:	written in English, legible:		OK.
upstream source:
	http://icculus.org/referencer/downloads/referencer-1.0.3.tar.gz:
	md5sum:1179e0eafc17ef130b8d669255bef0b3
source: 	referencer-1.0.3.tar.gz:
	md5sum:1179e0eafc17ef130b8d669255bef0b3,
	matches to the upstream source, OK.
build:	mock successfully built this package on fc-6/i386,
	see the attached build.log,	OK.
BuildRequires:	poppler-devel libgnomeuimm26-devel boost-devel gcc-c++
		gettext perl(XML::Parser) desktop-file-utils:
	all required packages are listed, so mock builds successfully,	OK.
locale handling:
	by %find_lang %{name}, not by %{_datadir}/locale/*:	OK.
%prefix:	not used:		OK.
shared library problem: 	not installed:		OK.
ownership of directories and files:
	all listed under %doc, ${_bindir} and ${_datadir}:	OK.
owning directories created by other packages:		none:	OK.
duplicate listing in %file:	none:	OK.
%defattr:	(-,root,root,-):	OK.
at the beginning of %install:
		rm -rf %{buildroot}:	OK.
%clean: 	rm -rf %{buildroot}	OK.
usage of macros:	consistent:	OK.
desktop file:
	%{name}.desktop is installed with desktop-file-install in %install:
	OK.
%post, %postun:
	update desktop database, mime database and icon cache:
	OK.

This packaging seems to be complete!

Comment 2 Kiyoshi Matsui 2007-05-09 16:46:58 UTC
typos in #1 comment:

package name: referencer, not reference
spec file:    referencer.spec, not reference.spec


Comment 3 Mamoru TASAKA 2007-05-09 17:05:52 UTC
Almost okay.

One issue:
* Timestamps
  - This package installs some files which were not built or
    modified during rebuilding (such as .png, .svg, .glade..) and
    keeping timestamps on these files is recommended.
    (actually for this package only 3 files are built or modified)

    For this package, please use the following:
-----------------------------------------------------------
make DESTDIR=%{buildroot} INSTALL="%{__install} -p"  install
-----------------------------------------------------------

Other things are okay.

Comment 4 Deji Akingunola 2007-05-16 04:10:46 UTC
With the timestamp changes,

Spec URL: ftp://czar.eas.yorku.ca/pub/referencer/referencer.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/referencer/referencer-1.0.3-2.fc7.src.rpm


Comment 5 Mamoru TASAKA 2007-05-16 11:41:47 UTC
Okay.

---------------------------------------------------
  This package (referencer) is APPROVED by me.
---------------------------------------------------

NOTE:
Deep freeze for Fedora 7 is set as Thursday (on American time,
perhaps).
If you want to make this packaged included into initial Fedora 7
release, you have to
* rebuild this on koji
* send a main to rel-eng to make the build on koji tagged with
  f7-final

Comment 6 Deji Akingunola 2007-05-16 11:50:30 UTC
New Package CVS Request
=======================
Package Name: referencer
Short Description: A document organiser and bibliography manager for Gnome
Owners: dakingun@gmail.com
Branches: FC-6
InitialCC:

Comment 7 Deji Akingunola 2007-05-17 04:10:18 UTC
Package built for devel and FC-6, thanks to Kiyoshi Matsui and Mamoru Tasaka for
the reviews.


Note You need to log in before you can comment on or make changes to this bug.